> For the complete documentation index, see [llms.txt](https://aliniex.gitbook.io/alix-pay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://aliniex.gitbook.io/alix-pay/api-reference/on-off-ramp-api/user/upload-user-kyc-information.md).

# Upload User KYC Information

## API end-point

<mark style="color:green;">`POST`</mark> `/api/v2/user/submit-kyc`

This API allows you to submit user kyc information to alixpay platform

**Headers**

| Name         | Value                                                                                                                                                  |    |               |
| ------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------ | -- | ------------- |
| Content-Type | `application/json`                                                                                                                                     |    |               |
| lang         | <p>The default will en if this param has been empty. </p><p>Supported languages:<code>en                                                               | cn | vi</code></p> |
| access-token | It should be used accessToken return from api endpoint [Verify user email](/alix-pay/api-reference/on-off-ramp-api/authenication/verify-user-email.md) |    |               |

**Request Body**

```json
{
    "firstName": "Phối",
    "lastName": "Trương Thị",
    "dateOfBirth": "1993-10-31",
    "gender": "female",
    "nationalId": "[ID_NATIONAL_CARD_NUMBER]",
    "nationality": "VN",
    "idType": "ID_CARD",
    "issueDate": "2022-04-22",
    "expiryDate": "2033-10-31",
    "address": "Xuan Tam Commune, Xuan Loc District, Dong Nai Province, Vietnam",
    "frontIdImage": "[IMAGE_ENCODED_BASE64]",
    "backIdImage": "[IMAGE_ENCODED_BASE64]",
    "holdIdImage": "[IMAGE_ENCODED_BASE64]",
    "phoneNumber": "333806541",
    "phoneCountryCode": "84",
}
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "nationalId": "string",
  "kycStatus": "string"
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://aliniex.gitbook.io/alix-pay/api-reference/on-off-ramp-api/user/upload-user-kyc-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
